<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Lqcjdbean" type="cn.vp.XXX.model.LqcjdBean"/> -->	
		<typeAlias alias="Lqcjd" type="cn.im.lqzh.LqcjdBean"/>
	
	<sql id="condition_Lqcjd">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like concat('%',#LIKExh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjjdh'>
			(jjdh like concat('%',#LIKEjjdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jjdh'>
			(jjdh = #jjdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjdh'>
			(cjdh like concat('%',#LIKEcjdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjdh'>
			(cjdh = #cjdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrybh'>
			(cjrybh like concat('%',#LIKEcjrybh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrybh'>
			(cjrybh = #cjrybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrymc'>
			(cjrymc like concat('%',#LIKEcjrymc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrymc'>
			(cjrymc = #cjrymc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjdwbh'>
			(cjdwbh like concat('%',#LIKEcjdwbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjdwbh'>
			(cjdwbh = #cjdwbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjdwmc'>
			(cjdwmc like concat('%',#LIKEcjdwmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjdwmc'>
			(cjdwmc = #cjdwmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEddxcsj'>
			(ddxcsj like concat('%',#LIKEddxcsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ddxcsj'>
			(ddxcsj = #ddxcsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjsj'>
			(cjsj like concat('%',#LIKEcjsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjsj'>
			(cjsj = #cjsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjxx'>
			(cjxx like concat('%',#LIKEcjxx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjxx'>
			(cjxx = #cjxx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjjlxx'>
			(cjjlxx like concat('%',#LIKEcjjlxx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjjlxx'>
			(cjjlxx = #cjjlxx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjd'>
			(jd like concat('%',#LIKEjd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jd'>
			(jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwd'>
			(wd like concat('%',#LIKEwd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wd'>
			(wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like concat('%',#LIKEcjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like concat('%',#LIKEcjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like concat('%',#LIKExgry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like concat('%',#LIKExgrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like concat('%',#LIKEbz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Lqcjd" parameterClass="java.util.Map">
		insert into 
		lqcjd(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='jjdh'>jjdh</isNotEmpty>
			<isNotEmpty prepend=',' property='cjdh'>cjdh</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrybh'>cjrybh</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrymc'>cjrymc</isNotEmpty>
			<isNotEmpty prepend=',' property='cjdwbh'>cjdwbh</isNotEmpty>
			<isNotEmpty prepend=',' property='cjdwmc'>cjdwmc</isNotEmpty>
			<isNotEmpty prepend=',' property='ddxcsj'>ddxcsj</isNotEmpty>
			<isNotEmpty prepend=',' property='cjsj'>cjsj</isNotEmpty>
			<isNotEmpty prepend=',' property='cjxx'>cjxx</isNotEmpty>
			<isNotEmpty prepend=',' property='cjjlxx'>cjjlxx</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjdh'>#jjdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjdh'>#cjdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrybh'>#cjrybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrymc'>#cjrymc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjdwbh'>#cjdwbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjdwmc'>#cjdwmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='ddxcsj'>#ddxcsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjsj'>#cjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjxx'>#cjxx#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjjlxx'>#cjjlxx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Lqcjd" parameterClass="java.util.Map">
		update lqcjd 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='jjdh'>jjdh=#jjdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjdh'>cjdh=#cjdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrybh'>cjrybh=#cjrybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrymc'>cjrymc=#cjrymc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjdwbh'>cjdwbh=#cjdwbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjdwmc'>cjdwmc=#cjdwmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='ddxcsj'>ddxcsj=#ddxcsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjsj'>cjsj=#cjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjxx'>cjxx=#cjxx#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjjlxx'>cjjlxx=#cjjlxx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd=#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd=#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjjdh'> jjdh = #XGTJjjdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjdh'> cjdh = #XGTJcjdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrybh'> cjrybh = #XGTJcjrybh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrymc'> cjrymc = #XGTJcjrymc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjdwbh'> cjdwbh = #XGTJcjdwbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjdwmc'> cjdwmc = #XGTJcjdwmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJddxcsj'> ddxcsj = #XGTJddxcsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjsj'> cjsj = #XGTJcjsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjxx'> cjxx = #XGTJcjxx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjjlxx'> cjjlxx = #XGTJcjjlxx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjd'> jd = #XGTJjd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwd'> wd = #XGTJwd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Lqcjd" parameterClass="java.util.Map">
		delete from lqcjd 
		<include refid="condition_Lqcjd"/>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Lqcjd" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			xh,jjdh,cjdh,cjrybh,cjrymc,cjdwbh,cjdwmc,ddxcsj,cjsj,cjxx,cjjlxx,jd,wd,cjry,cjrq,xgry,xgrq,bz
		from lqcjd 
		<include refid="condition_Lqcjd"/>
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Lqcjd" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from lqcjd 
		<include refid="condition_Lqcjd"/>			
	</select>
	
</sqlMap>











